export const BASE_URL = 'https://hxtc.sagoo.cn/addons/qingdongams'
// export const BASE_URL = 'http://weibao.com/addons/qingdongams'

export const myRequest = (url, data, method) => {
	return new Promise((resolve, reject) => {
		uni.request({
			url: BASE_URL + url,
			method: method || 'POST',
			data: data || {},
			header: {
				'Content-Type': "application/json",
				'token': uni.getStorageSync('token'),
			},
			success: (res) => {
				res = res.data
				if (res.code == 1) {
					resolve(res)
				} else if (res.code == 401) {
					uni.redirectTo({
						url:'/pages/login/index'
					})
				}else{
					uni.showToast({
						title: res.msg,
						icon:'none'
					})
				}
			},
			fail: (err) => {
				console.log(err)
				uni.showToast({
					title: '访问异常',
					icon:'none'
				})
				reject(err)
			}
		})
	})
}

