import Vue from 'vue'
import App from './App'
import VueI18n from 'vue-i18n' 
import { noMultipleClicks } from './util/common.js'

Vue.use(VueI18n)

const i18n = new VueI18n({
	locale: uni.getStorageSync('locale')?uni.getStorageSync('locale'):'zh',
	messages: {
		'zh': require('@/language/zh.json'),
		'en': require('@/language/en.json'),
	}
});
Vue.prototype._i18n = i18n;
Vue.config.productionTip = false
Vue.prototype.$noMultipleClicks = noMultipleClicks

App.mpType = 'app'
const app = new Vue({
	i18n,
    ...App
})
app.$mount()
